List supplier catalogue
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/catalogue \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/catalogue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/catalogue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"sourceVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"variantName": "<string>",
"listPrice": 123,
"yourCost": 123,
"tiers": [
{
"minimumQuantity": 123,
"unitPrice": 123,
"isForThisVariant": true
}
],
"minimumResalePrice": 123,
"availableStock": 123,
"localVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maxCost": 123,
"imageFileName": "<string>"
}
]
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Reselling
Get Catalogue
Priced as it will actually cost this store, with whichever of its own products is already
sourced from each.
Requires the stores.reselling.view permission.
GET
/
stores
/
{storeId}
/
reselling
/
suppliers
/
{supplierStoreId}
/
catalogue
List supplier catalogue
Authorizations
Your API key goes here
Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Show child attributes
Show child attributes
Last modified on August 22, 2026
⌘I